curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}
Webhook
Update webhook
Update an existing webhook.
POST
/
api
/
webhook
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}
Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
Array of webhooks. Add the fields that need to be updated and ignore the rest.
Show child attribute
Show child attribute
Webhook’s key.
Webhook’s endpoint.
Event to listen:
contract.created.Event to listen:
contract.seen.Event to listen:
contract.sent.Event to listen:
contract.approved.Event to listen:
contract.signed.Event to listen:
contract.fully_signed.Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}
⌘I